Page MenuHomePhabricator

[CRASH] Content Service shouldn't send empty objects
Closed, ResolvedPublic1 Story Points

Description

The featured article card sometimes is provided as an empty object. This violates the contract expected by the Android app which causes a crash. A fully formed model or no model (no field!) is expected. This is causing prod crashes on German and Hebrew Wikipedia.

https://he.wikipedia.org/api/rest_v1/feed/featured/2016/09/07
{
  "tfa": {},
  "mostread": {
    "date": "2016-09-06Z",
    "articles": [
      {
        "views": 27083,
        "rank": 1,
        "fromencoded": false,
        "title": "דפנה_מאיר",
        "pageid": 1400534,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/6/62/Dafna_Meir.jpg/238px-Dafna_Meir.jpg",
          "width": 238,
          "height": 320
        },
        "normalizedtitle": "דפנה מאיר"
      },
      {
        "views": 13487,
        "rank": 3,
        "fromencoded": false,
        "title": "ישראל_שלי",
        "pageid": 908702,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/3/38/MyIsraelFacebook--NetzerAcharon005.jpg/320px-MyIsraelFacebook--NetzerAcharon005.jpg",
          "width": 320,
          "height": 240
        },
        "normalizedtitle": "ישראל שלי"
      },
      {
        "views": 13458,
        "rank": 4,
        "fromencoded": false,
        "title": "משה_קלוגהפט",
        "pageid": 896923,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/4/43/Male_no_free_image_yet-he.svg/320px-Male_no_free_image_yet-he.svg.png",
          "width": 320,
          "height": 320
        },
        "normalizedtitle": "משה קלוגהפט"
      },
      {
        "views": 13457,
        "rank": 5,
        "fromencoded": false,
        "title": "שר_שלום_ג'רבי",
        "pageid": 684860,
        "normalizedtitle": "שר שלום ג'רבי"
      },
      {
        "views": 9574,
        "rank": 7,
        "title": "דוריאן",
        "pageid": 386093,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Durio_kutej_F_070203_ime.jpg/320px-Durio_kutej_F_070203_ime.jpg",
          "width": 320,
          "height": 243
        },
        "normalizedtitle": "דוריאן"
      },
      {
        "views": 3814,
        "rank": 8,
        "fromencoded": false,
        "title": "שאר_ישוב_כהן",
        "pageid": 171292,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/0/07/Sharyishuv.JPG/299px-Sharyishuv.JPG",
          "width": 299,
          "height": 320
        },
        "normalizedtitle": "שאר ישוב כהן"
      },
      {
        "views": 2877,
        "rank": 10,
        "fromencoded": false,
        "title": "שכונה_(סדרת_טלוויזיה)",
        "pageid": 1221397,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/he/thumb/8/80/10628436_316742958505148_2646201463663204371_n.jpg/320px-10628436_316742958505148_2646201463663204371_n.jpg",
          "width": 320,
          "height": 238
        },
        "normalizedtitle": "שכונה (סדרת טלוויזיה)",
        "description": "סדרת טלוויזיה ישראלית"
      },
      {
        "views": 2244,
        "rank": 12,
        "fromencoded": false,
        "title": "אברהם_יצחק_הכהן_קוק",
        "pageid": 7362,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/a/a7/Abraham_Isaac_Kook_1924.jpg/197px-Abraham_Isaac_Kook_1924.jpg",
          "width": 197,
          "height": 320
        },
        "normalizedtitle": "אברהם יצחק הכהן קוק",
        "description": "הרב הראשי האשכנזי הראשון"
      },
      {
        "views": 1875,
        "rank": 13,
        "fromencoded": false,
        "title": "אסון_אולמי_ורסאי",
        "pageid": 103424,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/c/cb/%D7%90%D7%A1%D7%95%D7%9F_%D7%95%D7%A8%D7%A1%D7%90%D7%99_-_5.jpg/320px-%D7%90%D7%A1%D7%95%D7%9F_%D7%95%D7%A8%D7%A1%D7%90%D7%99_-_5.jpg",
          "width": 320,
          "height": 180
        },
        "normalizedtitle": "אסון אולמי ורסאי"
      },
      {
        "views": 1860,
        "rank": 14,
        "title": "ישראל",
        "pageid": 320304,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/b/b0/Israel_on_the_globe_%28Afro-Eurasia_centered%29.svg/320px-Israel_on_the_globe_%28Afro-Eurasia_centered%29.svg.png",
          "width": 320,
          "height": 319
        },
        "normalizedtitle": "ישראל",
        "description": "מדינה במזרח התיכון"
      },
      {
        "views": 1823,
        "rank": 15,
        "fromencoded": false,
        "title": "מוקדמות_מונדיאל_2018",
        "pageid": 1299321,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/3/32/2018_world_cup_qualification.PNG/320px-2018_world_cup_qualification.PNG",
          "width": 320,
          "height": 147
        },
        "normalizedtitle": "מוקדמות מונדיאל 2018"
      },
      {
        "views": 1548,
        "rank": 16,
        "title": "תנ\"ך",
        "pageid": 748,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/6/6d/Tanach.jpg/213px-Tanach.jpg",
          "width": 213,
          "height": 320
        },
        "normalizedtitle": "תנ\"ך"
      },
      {
        "views": 1525,
        "rank": 17,
        "title": "זאבת",
        "pageid": 109061,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/8/86/Butterflyrash.jpg/270px-Butterflyrash.jpg",
          "width": 270,
          "height": 320
        },
        "normalizedtitle": "זאבת"
      },
      {
        "views": 1491,
        "rank": 18,
        "fromencoded": false,
        "title": "קריסת_החניון_ברמת_החייל",
        "pageid": 1411252,
        "normalizedtitle": "קריסת החניון ברמת החייל"
      },
      {
        "views": 1224,
        "rank": 19,
        "fromencoded": false,
        "title": "חג_הקורבן",
        "pageid": 10778,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/b/ba/Eidpakistan.jpg/320px-Eidpakistan.jpg",
          "width": 320,
          "height": 240
        },
        "normalizedtitle": "חג הקורבן"
      },
      {
        "views": 1128,
        "rank": 21,
        "title": "אלול",
        "pageid": 20555,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/5/55/Im_Gebet_beim_Laubh%C3%BCttenfest%2C_Paula_Gans_IMG_4724_4725_4726_edit.jpg/233px-Im_Gebet_beim_Laubh%C3%BCttenfest%2C_Paula_Gans_IMG_4724_4725_4726_edit.jpg",
          "width": 233,
          "height": 320
        },
        "normalizedtitle": "אלול"
      },
      {
        "views": 1124,
        "rank": 22,
        "fromencoded": false,
        "title": "נפתלי_בנט",
        "pageid": 747851,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/3/32/Naftali-Bennett.jpg/213px-Naftali-Bennett.jpg",
          "width": 213,
          "height": 320
        },
        "normalizedtitle": "נפתלי בנט"
      },
      {
        "views": 1064,
        "rank": 23,
        "fromencoded": false,
        "title": "המירוץ_למיליון_(תוכנית_טלוויזיה_ישראלית)",
        "pageid": 632003,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/he/thumb/a/a7/%D7%94%D7%9E%D7%99%D7%A8%D7%95%D7%A5_%D7%9C%D7%9E%D7%99%D7%9C%D7%99%D7%95%D7%9F.png/320px-%D7%94%D7%9E%D7%99%D7%A8%D7%95%D7%A5_%D7%9C%D7%9E%D7%99%D7%9C%D7%99%D7%95%D7%9F.png",
          "width": 320,
          "height": 252
        },
        "normalizedtitle": "המירוץ למיליון (תוכנית טלוויזיה ישראלית)",
        "description": "הגרסה הישראלית לתוכנית המציאות האמריקאית \"The Amazing Race\""
      },
      {
        "views": 1048,
        "rank": 24,
        "fromencoded": false,
        "title": "ג'אנלואיג'י_בופון",
        "pageid": 86444,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/d/d8/Gianluigi_Buffon_20140916.jpg/247px-Gianluigi_Buffon_20140916.jpg",
          "width": 247,
          "height": 320
        },
        "normalizedtitle": "ג'אנלואיג'י בופון",
        "description": "כדורגלן איטלקי"
      },
      {
        "views": 1041,
        "rank": 25,
        "fromencoded": false,
        "title": "מועצת_יש\"ע",
        "pageid": 50035,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/he/thumb/1/1c/K_P.JPG/320px-K_P.JPG",
          "width": 320,
          "height": 240
        },
        "normalizedtitle": "מועצת יש\"ע"
      },
      {
        "views": 1029,
        "rank": 27,
        "fromencoded": false,
        "title": "עמותת_עתים",
        "pageid": 783782,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/he/e/e7/%D7%9C%D7%95%D7%92%D7%95_%D7%A2%D7%9E%D7%95%D7%AA%D7%AA_%D7%A2%D7%AA%D7%99%D7%9D.png",
          "width": 182,
          "height": 82
        },
        "normalizedtitle": "עמותת עתים"
      },
      {
        "views": 1026,
        "rank": 28,
        "fromencoded": false,
        "title": "רשות_השירות_הלאומי-אזרחי",
        "pageid": 1209353,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/he/thumb/c/ce/Logo-minhelet_c.jpg/320px-Logo-minhelet_c.jpg",
          "width": 320,
          "height": 110
        },
        "normalizedtitle": "רשות השירות הלאומי-אזרחי"
      },
      {
        "views": 1024,
        "rank": 29,
        "fromencoded": false,
        "title": "דוד_כהן_(רב)",
        "pageid": 11874,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/he/0/06/David_Cohen_Nazir.jpg",
          "width": 142,
          "height": 177
        },
        "normalizedtitle": "דוד כהן (רב)",
        "description": "רב ישראלי המכונה \"הרב הנזיר\""
      },
      {
        "views": 1009,
        "rank": 30,
        "title": "גאוגרפיה",
        "pageid": 1028804,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/e/e3/KiskaMap.jpg/320px-KiskaMap.jpg",
          "width": 320,
          "height": 288
        },
        "normalizedtitle": "גאוגרפיה"
      },
      {
        "views": 961,
        "rank": 31,
        "fromencoded": false,
        "title": "ליהי_קורנובסקי",
        "pageid": 1221404,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/f/f1/LIHIKORNO.JPG/144px-LIHIKORNO.JPG",
          "width": 144,
          "height": 320
        },
        "normalizedtitle": "ליהי קורנובסקי",
        "description": "דוגמנית, רקדנית ושחקנית ישראלית"
      },
      {
        "views": 918,
        "rank": 32,
        "fromencoded": false,
        "title": "ראש_השנה",
        "pageid": 3022,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/6/64/Newyear.jpg/234px-Newyear.jpg",
          "width": 234,
          "height": 320
        },
        "normalizedtitle": "ראש השנה"
      },
      {
        "views": 900,
        "rank": 35,
        "fromencoded": false,
        "title": "יוסי_אלפנט",
        "pageid": 98236,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/he/thumb/4/46/Yosi_Elefant_Elefant.jpg/320px-Yosi_Elefant_Elefant.jpg",
          "width": 320,
          "height": 317
        },
        "normalizedtitle": "יוסי אלפנט"
      },
      {
        "views": 894,
        "rank": 36,
        "title": "ליכטנשטיין",
        "pageid": 21150,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/a/a8/Liechtenstein_in_Europe_%28-rivers_-mini_map%29.svg/320px-Liechtenstein_in_Europe_%28-rivers_-mini_map%29.svg.png",
          "width": 320,
          "height": 274
        },
        "normalizedtitle": "ליכטנשטיין"
      },
      {
        "views": 868,
        "rank": 37,
        "fromencoded": false,
        "title": "המשחקים_הפאראלימפיים",
        "pageid": 25766,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/9/9c/Paralympic_flag.svg/320px-Paralympic_flag.svg.png",
          "width": 320,
          "height": 213
        },
        "normalizedtitle": "המשחקים הפאראלימפיים"
      },
      {
        "views": 847,
        "rank": 38,
        "fromencoded": false,
        "title": "בקי_גריפין",
        "pageid": 209665,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/7/78/Rebecca_Griffin.jpg/214px-Rebecca_Griffin.jpg",
          "width": 214,
          "height": 320
        },
        "normalizedtitle": "בקי גריפין"
      },
      {
        "views": 836,
        "rank": 39,
        "title": "קוסובו",
        "pageid": 30321,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/4/4d/Kosovo_in_Europe_%28de-facto%29_%28-rivers_-mini_map%29.svg/320px-Kosovo_in_Europe_%28de-facto%29_%28-rivers_-mini_map%29.svg.png",
          "width": 320,
          "height": 274
        },
        "normalizedtitle": "קוסובו"
      },
      {
        "views": 813,
        "rank": 40,
        "title": "היסטוריה",
        "pageid": 225,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/d/da/AGMA_H%C3%A9rodote.jpg/224px-AGMA_H%C3%A9rodote.jpg",
          "width": 224,
          "height": 320
        },
        "normalizedtitle": "היסטוריה"
      },
      {
        "views": 802,
        "rank": 41,
        "fromencoded": false,
        "title": "ארצות_הברית",
        "pageid": 330414,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/b/be/United_States_on_the_globe_%28North_America_centered%29.svg/320px-United_States_on_the_globe_%28North_America_centered%29.svg.png",
          "width": 320,
          "height": 320
        },
        "normalizedtitle": "ארצות הברית",
        "description": "איחוד מדינות באמריקה הצפונית"
      },
      {
        "views": 797,
        "rank": 42,
        "fromencoded": false,
        "title": "נבחרת_ישראל_בכדורגל",
        "pageid": 58367,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/he/thumb/8/85/Israel_football_association.svg/281px-Israel_football_association.svg.png",
          "width": 281,
          "height": 320
        },
        "normalizedtitle": "נבחרת ישראל בכדורגל"
      },
      {
        "views": 784,
        "rank": 43,
        "fromencoded": false,
        "title": "מלחמת_העולם_הראשונה",
        "pageid": 340,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/2/2b/Leaders_of_the_Central_Powers_-_Vierbund.jpg/320px-Leaders_of_the_Central_Powers_-_Vierbund.jpg",
          "width": 320,
          "height": 207
        },
        "normalizedtitle": "מלחמת העולם הראשונה"
      },
      {
        "views": 764,
        "rank": 45,
        "title": "הקריביים",
        "pageid": 145620,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Antillas_%28orthographic_projection%29.svg/320px-Antillas_%28orthographic_projection%29.svg.png",
          "width": 320,
          "height": 320
        },
        "normalizedtitle": "הקריביים"
      },
      {
        "views": 736,
        "rank": 46,
        "fromencoded": false,
        "title": "אלברט_איינשטיין",
        "pageid": 83,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/f/f5/Einstein_1921_portrait2.jpg/256px-Einstein_1921_portrait2.jpg",
          "width": 256,
          "height": 320
        },
        "normalizedtitle": "אלברט איינשטיין"
      },
      {
        "views": 736,
        "rank": 46,
        "fromencoded": false,
        "title": "מלחמת_העולם_השנייה",
        "pageid": 329,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/c/cb/WW2Montage.PNG/320px-WW2Montage.PNG",
          "width": 320,
          "height": 301
        },
        "normalizedtitle": "מלחמת העולם השנייה"
      },
      {
        "views": 733,
        "rank": 48,
        "fromencoded": false,
        "title": "דרגות_צה\"ל",
        "pageid": 15810,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/b/b9/Flickr_-_Israel_Defense_Forces_-_New_Head_of_the_Technological_and_Logistics_Directorate_Appointed_%281%29.jpg/320px-Flickr_-_Israel_Defense_Forces_-_New_Head_of_the_Technological_and_Logistics_Directorate_Appointed_%281%29.jpg",
          "width": 320,
          "height": 213
        },
        "normalizedtitle": "דרגות צה\"ל"
      },
      {
        "views": 713,
        "rank": 49,
        "fromencoded": false,
        "title": "פרדי_מרקיורי",
        "pageid": 13373,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/e/ef/Freddie_Mercury_performing_in_New_Haven%2C_CT%2C_November_1977.jpg/215px-Freddie_Mercury_performing_in_New_Haven%2C_CT%2C_November_1977.jpg",
          "width": 215,
          "height": 320
        },
        "normalizedtitle": "פרדי מרקיורי"
      },
      {
        "views": 653,
        "rank": 50,
        "fromencoded": false,
        "title": "הלוח_העברי",
        "pageid": 865,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/8/87/DetailOfMedievalHebrewCalendar.jpg/214px-DetailOfMedievalHebrewCalendar.jpg",
          "width": 214,
          "height": 320
        },
        "normalizedtitle": "הלוח העברי"
      }
    ]
  },
  "random": {
    "items": [
      {
        "title": "אליאורה_רון"
      }
    ]
  },
  "image": {
    "title": "File:Macrolepiota procera 2013 G1.jpg",
    "thumbnail": {
      "source": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Macrolepiota_procera_2013_G1.jpg/640px-Macrolepiota_procera_2013_G1.jpg",
      "width": 640,
      "height": 866
    },
    "image": {
      "source": "https://upload.wikimedia.org/wikipedia/commons/6/6a/Macrolepiota_procera_2013_G1.jpg",
      "width": 3400,
      "height": 4600
    },
    "description": {
      "text": "<a href=\"https://en.wikipedia.org/wiki/Macrolepiota_procera\" class=\"extiw\" title=\"en:Macrolepiota procera\">Parasol mushroom</a>, <a href=\"//commons.wikimedia.org/wiki/Macrolepiota_procera\" title=\"Macrolepiota procera\">Macrolepiota procera</a>, Ukraine.",
      "lang": "en"
    }
  },
  "news": [
    {
      "links": [
        {
          "title": "ראש_עירייה",
          "pageid": 73445,
          "ns": 0,
          "normalizedtitle": "ראש עירייה",
          "fromencoded": false
        },
        {
          "title": "נתניה",
          "pageid": 7757,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/b/b8/%D7%A1%D7%9E%D7%9C_%D7%A2%D7%99%D7%A8%D7%99%D7%99%D7%AA_%D7%A0%D7%AA%D7%A0%D7%99%D7%94_%D7%A0%D7%9B%D7%95%D7%9F_%D7%9C%D7%A2%D7%9B%D7%A9%D7%99%D7%95.jpg",
            "width": 128,
            "height": 128
          },
          "normalizedtitle": "נתניה",
          "description": "עיר בישראל"
        },
        {
          "title": "מרים_פיירברג",
          "pageid": 244499,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/d/d6/Miriam_Feirberg_Ikar.JPG/667px-Miriam_Feirberg_Ikar.JPG",
            "width": 667,
            "height": 1024
          },
          "normalizedtitle": "מרים פיירברג",
          "fromencoded": false
        },
        {
          "title": "מעצר",
          "pageid": 488139,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/a/a2/Arrestation_de_Robespierre.jpg",
            "width": 405,
            "height": 490
          },
          "normalizedtitle": "מעצר"
        },
        {
          "title": "משטרת_ישראל",
          "pageid": 16896,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/5/59/Emblem_of_Israel_Police.svg/1024px-Emblem_of_Israel_Police.svg.png",
            "width": 1024,
            "height": 1002
          },
          "normalizedtitle": "משטרת ישראל",
          "fromencoded": false
        },
        {
          "title": "שוחד",
          "pageid": 17002,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/5/51/Bribe.png",
            "width": 250,
            "height": 160
          },
          "normalizedtitle": "שוחד"
        },
        {
          "title": "מרמה",
          "pageid": 609204,
          "ns": 0,
          "normalizedtitle": "מרמה"
        },
        {
          "title": "הפרת_אמונים",
          "pageid": 398632,
          "ns": 0,
          "normalizedtitle": "הפרת אמונים",
          "fromencoded": false
        }
      ],
      "story": "<a rel=\"mw:WikiLink\" href=\"./ראש_עירייה\" title=\"ראש עירייה\" id=\"mwBw\">ראש עיריית</a> <a rel=\"mw:WikiLink\" href=\"./נתניה\" title=\"נתניה\" id=\"mwCA\">נתניה</a>, <a rel=\"mw:WikiLink\" href=\"./מרים_פיירברג\" title=\"מרים פיירברג\" id=\"mwCQ\">מרים פיירברג</a>, <a rel=\"mw:WikiLink\" href=\"./מעצר\" title=\"מעצר\" id=\"mwCg\">נעצרה</a> על ידי ה<a rel=\"mw:WikiLink\" href=\"./משטרת_ישראל\" title=\"משטרת ישראל\" id=\"mwCw\">משטרה</a> בחשד לקבלת <a rel=\"mw:WikiLink\" href=\"./שוחד\" title=\"שוחד\" id=\"mwDA\">שוחד</a>, <a rel=\"mw:WikiLink\" href=\"./מרמה\" title=\"מרמה\" id=\"mwDQ\">מרמה</a> ו<a rel=\"mw:WikiLink\" href=\"./הפרת_אמונים\" title=\"הפרת אמונים\" id=\"mwDg\">הפרת אמונים</a>. (<a rel=\"mw:ExtLink\" href=\"http://www.haaretz.co.il/news/law/1.3061136\" id=\"mwDw\">הארץ</a>)  "
    },
    {
      "links": [
        {
          "title": "דוב",
          "pageid": 322144,
          "ns": 0,
          "normalizedtitle": "דוב"
        },
        {
          "title": "פנדה_ענק",
          "pageid": 2311,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Crouching_Panda.jpg/1024px-Crouching_Panda.jpg",
            "width": 1024,
            "height": 683
          },
          "normalizedtitle": "פנדה ענק",
          "fromencoded": false
        },
        {
          "title": "סמל",
          "pageid": 79064,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/6/6c/Religious_syms.svg/1024px-Religious_syms.svg.png",
            "width": 1024,
            "height": 1024
          },
          "normalizedtitle": "סמל"
        },
        {
          "title": "הקרן_העולמית_לשימור_חיות_הבר",
          "pageid": 50662,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/he/c/cc/WWF_logo.jpg",
            "width": 263,
            "height": 390
          },
          "normalizedtitle": "הקרן העולמית לשימור חיות הבר",
          "fromencoded": false
        },
        {
          "title": "בעלי_חיים_בסכנת_הכחדה",
          "pageid": 5327,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/b/b9/P.t.altaica_Tomak_Male.jpg/1024px-P.t.altaica_Tomak_Male.jpg",
            "width": 1024,
            "height": 739
          },
          "normalizedtitle": "בעלי חיים בסכנת הכחדה",
          "fromencoded": false,
          "description": "מצב שימור לפי ה-IUCN"
        },
        {
          "title": "מדינה",
          "pageid": 2981,
          "ns": 0,
          "normalizedtitle": "מדינה",
          "description": "שטח מסוים שיש עליו ריבונות על ידי שליט, ממשלה, צבא, עם וכו... המדינות מיוצגות על ידי העם שחי בהן וסמלים כגון דגל."
        },
        {
          "title": "הרפובליקה_העממית_של_סין",
          "pageid": 1835,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/2/29/China_on_the_globe_%28claimed_hatched%29_%28Asia_centered%29.svg/1024px-China_on_the_globe_%28claimed_hatched%29_%28Asia_centered%29.svg.png",
            "width": 1024,
            "height": 1024
          },
          "normalizedtitle": "הרפובליקה העממית של סין",
          "fromencoded": false
        }
      ],
      "story": " <a rel=\"mw:WikiLink\" href=\"./דוב\" title=\"דוב\" id=\"mwEQ\">דוב</a> <a rel=\"mw:WikiLink\" href=\"./פנדה_ענק\" title=\"פנדה ענק\" id=\"mwEg\">פנדה ענק</a> <small about=\"#mwt1\" typeof=\"mw:Transclusion\" data-mw=\"{&quot;parts&quot;:[{&quot;template&quot;:{&quot;target&quot;:{&quot;wt&quot;:&quot;בתמונה&quot;,&quot;href&quot;:&quot;./תבנית:בתמונה&quot;},&quot;params&quot;:{},&quot;i&quot;:0}}]}\" id=\"mwEw\">(בתמונה)</small>, <a rel=\"mw:WikiLink\" href=\"./סמל\" title=\"סמל\" id=\"mwFA\">סמל</a> <a rel=\"mw:WikiLink\" href=\"./הקרן_העולמית_לשימור_חיות_הבר\" title=\"הקרן העולמית לשימור חיות הבר\" id=\"mwFQ\">הקרן העולמית לשימור חיות הבר</a>, יצא מרשימת <a rel=\"mw:WikiLink\" href=\"./בעלי_חיים_בסכנת_הכחדה\" title=\"בעלי חיים בסכנת הכחדה\" id=\"mwFg\">בעלי חיים בסכנת הכחדה</a>, לאחר שמספר דובי הפנדה בעולם עלה ממעל אלף לפני שלושים שנה למעל אלפיים, כתוצאה מפעילות מאומצת של <a rel=\"mw:WikiLink\" href=\"./מדינה\" title=\"מדינה\" id=\"mwFw\">מדינות</a> רבות, בראשן <a rel=\"mw:WikiLink\" href=\"./הרפובליקה_העממית_של_סין\" title=\"הרפובליקה העממית של סין\" id=\"mwGA\">סין</a> (<a rel=\"mw:ExtLink\" href=\"http://www.ynet.co.il/articles/0,7340,L-4850450,00.html\" id=\"mwGQ\">Ynet</a>)<!-- וחלק מהנתונים מכתבת מבט -->"
    },
    {
      "links": [
        {
          "title": "רב",
          "pageid": 18416,
          "ns": 0,
          "normalizedtitle": "רב",
          "description": "מורה תורה"
        },
        {
          "title": "אליהו_יוסף_שאר_ישוב_כהן",
          "pageid": 1410919,
          "ns": 0,
          "normalizedtitle": "אליהו יוסף שאר ישוב כהן",
          "fromencoded": false
        },
        {
          "title": "אשכנזים_(ישראל)",
          "pageid": 24124,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/he/8/82/Okun_and_Khait-Marelly.jpg",
            "width": 505,
            "height": 288
          },
          "normalizedtitle": "אשכנזים (ישראל)",
          "fromencoded": false
        },
        {
          "title": "חיפה",
          "pageid": 678474,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/7/7a/Haifa_coa.svg/672px-Haifa_coa.svg.png",
            "width": 672,
            "height": 1024
          },
          "normalizedtitle": "חיפה",
          "description": "עיר בצפון ישראל"
        }
      ],
      "story": "נפטר ה<a rel=\"mw:WikiLink\" href=\"./רב\" title=\"רב\" id=\"mwGw\">רב</a> <a rel=\"mw:WikiLink\" href=\"./אליהו_יוסף_שאר_ישוב_כהן\" title=\"אליהו יוסף שאר ישוב כהן\" id=\"mwHA\">אליהו יוסף שאר ישוב כהן</a>, הרב ה<a rel=\"mw:WikiLink\" href=\"./אשכנזים_(ישראל)\" title=\"אשכנזים (ישראל)\" id=\"mwHQ\">אשכנזי</a> של <a rel=\"mw:WikiLink\" href=\"./חיפה\" title=\"חיפה\" id=\"mwHg\">חיפה</a> (<a rel=\"mw:ExtLink\" href=\"http://www.inn.co.il/News/News.aspx/329556\" id=\"mwHw\">ערוץ 7</a>)"
    },
    {
      "links": [
        {
          "title": "קריסת_חניון_הברזל",
          "pageid": 1410859,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/he/b/ba/Ramat1.jpg",
            "width": 960,
            "height": 720
          },
          "normalizedtitle": "קריסת חניון הברזל",
          "fromencoded": false,
          "description": "הקריסה באתר הבניה של החניון התת-קרקעי ברמת החייל, ב-5 לספטמבר 2016"
        },
        {
          "title": "נעדר",
          "pageid": 328146,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/2/2e/Richard_King.jpg",
            "width": 200,
            "height": 304
          },
          "normalizedtitle": "נעדר"
        },
        {
          "title": "קריסה",
          "pageid": 197224,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/6/69/Buckledmodel.JPG/1024px-Buckledmodel.JPG",
            "width": 1024,
            "height": 768
          },
          "normalizedtitle": "קריסה"
        },
        {
          "title": "חניון",
          "pageid": 235836,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/7/7e/Multi-storey_car_park_in_a_Housing_and_Development_Board_estate%2C_Singapore_-_20060315.jpg/1024px-Multi-storey_car_park_in_a_Housing_and_Development_Board_estate%2C_Singapore_-_20060315.jpg",
            "width": 1024,
            "height": 768
          },
          "normalizedtitle": "חניון"
        },
        {
          "title": "חברת_בת",
          "pageid": 1009883,
          "ns": 0,
          "normalizedtitle": "חברת בת",
          "fromencoded": false
        },
        {
          "title": "אפריקה_ישראל_להשקעות",
          "pageid": 318045,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/he/thumb/2/24/Africa-Israel_Logo_1981.svg/1024px-Africa-Israel_Logo_1981.svg.png",
            "width": 1024,
            "height": 1003
          },
          "normalizedtitle": "אפריקה ישראל להשקעות",
          "fromencoded": false
        },
        {
          "title": "בנייה",
          "pageid": 37842,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/2/2d/TATowers.jpg/1024px-TATowers.jpg",
            "width": 1024,
            "height": 788
          },
          "normalizedtitle": "בנייה"
        },
        {
          "title": "אזור_תעשייה_עבר_הירקון",
          "pageid": 380450,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/d/d1/HaBarzel_029.jpg/1024px-HaBarzel_029.jpg",
            "width": 1024,
            "height": 768
          },
          "normalizedtitle": "אזור תעשייה עבר הירקון",
          "fromencoded": false
        }
      ],
      "story": "<a rel=\"mw:WikiLink\" href=\"./קריסת_חניון_הברזל\" title=\"קריסת חניון הברזל\" id=\"mwIQ\">קריסת חניון הברזל</a>: שלושה הרוגים וארבעה <a rel=\"mw:WikiLink\" href=\"./נעדר\" title=\"נעדר\" id=\"mwIg\">נעדרים</a> ב<a rel=\"mw:WikiLink\" href=\"./קריסה\" title=\"קריסה\" id=\"mwIw\">קריסת</a> <a rel=\"mw:WikiLink\" href=\"./חניון\" title=\"חניון\" id=\"mwJA\">חניון</a> תת קרקעי ש\"דניה סיבוס\", <a rel=\"mw:WikiLink\" href=\"./חברת_בת\" title=\"חברת בת\" id=\"mwJQ\">חברת הבת</a> של <a rel=\"mw:WikiLink\" href=\"./אפריקה_ישראל_להשקעות\" title=\"אפריקה ישראל להשקעות\" id=\"mwJg\">אפריקה ישראל</a>, <a rel=\"mw:WikiLink\" href=\"./בנייה\" title=\"בנייה\" id=\"mwJw\">בונה</a> ב<a rel=\"mw:WikiLink\" href=\"./אזור_תעשייה_עבר_הירקון\" title=\"אזור תעשייה עבר הירקון\" id=\"mwKA\">רמת החייל</a> (<a rel=\"mw:ExtLink\" href=\"http://www.mako.co.il/news-israel/local-q3_2016/Article-acdc8cbea59f651004.htm\" id=\"mwKQ\">מאקו</a>)"
    }
  ]
}

Working featured article from English Wikipedia:

https://en.wikipedia.org/api/rest_v1/feed/featured/2016/09/07
{
  "tfa": {
    "title": "Krulak_Mendenhall_mission",
    "normalizedtitle": "Krulak Mendenhall mission",
    "thumbnail": {
      "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Victor_Krulak.jpg/480px-Victor_Krulak.jpg",
      "width": 480,
      "height": 640
    },
    "extract": "The Krulak Mendenhall mission was a fact-finding expedition dispatched by the Kennedy administration to South Vietnam in early September 1963. The stated purpose of the expedition was to investigate the progress of the war by the South Vietnamese regime and their US military advisers against the Viet Cong insurgency. The mission was led by Victor Krulak and Joseph Mendenhall. Krulak was a major general in the United States Marine Corps, while Mendenhall was a senior Foreign Service Officer experienced in dealing with Vietnamese affairs.\nThe four-day whirlwind trip was launched on September 6, 1963, the same day as a National Security Council (NSC) meeting, and came in the wake of increasingly strained relations between the United States and South Vietnam."
  },
  "mostread": {
    "date": "2016-09-06Z",
    "articles": [
      {
        "views": 392455,
        "rank": 3,
        "fromencoded": false,
        "title": "Pablo_Escobar",
        "pageid": 161570,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Pablo_Escobar_Mug.jpg/223px-Pablo_Escobar_Mug.jpg",
          "width": 223,
          "height": 320
        },
        "normalizedtitle": "Pablo Escobar",
        "description": "Colombian drug lord"
      },
      {
        "views": 285870,
        "rank": 4,
        "fromencoded": false,
        "title": "Ann_Coulter",
        "pageid": 205522,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/6/6b/Ann_Coulter_by_Gage_Skidmore_3.jpg/254px-Ann_Coulter_by_Gage_Skidmore_3.jpg",
          "width": 254,
          "height": 320
        },
        "normalizedtitle": "Ann Coulter",
        "description": "author, political commentator"
      },
      {
        "views": 260728,
        "rank": 5,
        "title": "AMGTV",
        "pageid": 18746613,
        "normalizedtitle": "AMGTV"
      },
      {
        "views": 243497,
        "rank": 6,
        "fromencoded": false,
        "title": "Rob_Lowe",
        "pageid": 222445,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/b/ba/Rob_Lowe_2012_Shankbone_2.JPG/256px-Rob_Lowe_2012_Shankbone_2.JPG",
          "width": 256,
          "height": 320
        },
        "normalizedtitle": "Rob Lowe",
        "description": "actor"
      },
      {
        "views": 219963,
        "rank": 10,
        "title": "Skype",
        "pageid": 424589,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/a/a7/Skype_logo.svg/320px-Skype_logo.svg.png",
          "width": 320,
          "height": 141
        },
        "normalizedtitle": "Skype",
        "description": "VoIP service"
      },
      {
        "views": 176048,
        "rank": 12,
        "fromencoded": false,
        "title": "Phyllis_Schlafly",
        "pageid": 322375,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/8/8b/Phyllis_Schlafly_by_Gage_Skidmore.jpg/274px-Phyllis_Schlafly_by_Gage_Skidmore.jpg",
          "width": 274,
          "height": 320
        },
        "normalizedtitle": "Phyllis Schlafly",
        "description": "American activist"
      },
      {
        "views": 158019,
        "rank": 13,
        "fromencoded": false,
        "title": "Lali_Espósito",
        "pageid": 20115591,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/0/0d/Lali_Ep%C3%B3sito_para_la_revista_Not%C3%ADcias.jpg/275px-Lali_Ep%C3%B3sito_para_la_revista_Not%C3%ADcias.jpg",
          "width": 275,
          "height": 320
        },
        "normalizedtitle": "Lali Espósito",
        "description": "Argentine actress singer dancer model and songwriter"
      },
      {
        "views": 148151,
        "rank": 14,
        "title": "Harley-Davidson",
        "pageid": 14142,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/5/51/Founders_of_Harley-Davidson_The_North_Shore_Bulletin_Dec_1920.jpg/320px-Founders_of_Harley-Davidson_The_North_Shore_Bulletin_Dec_1920.jpg",
          "width": 320,
          "height": 170
        },
        "normalizedtitle": "Harley-Davidson",
        "description": "a publicly traded American company that has become primarily known internationally by the eponymous motorcycle brand"
      },
      {
        "views": 141242,
        "rank": 15,
        "fromencoded": false,
        "title": "Mike_Starr_(musician)",
        "pageid": 2434580,
        "normalizedtitle": "Mike Starr (musician)",
        "description": "American musician"
      },
      {
        "views": 131851,
        "rank": 16,
        "fromencoded": false,
        "title": "Stranger_Things_(TV_series)",
        "pageid": 46301800,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/3/38/Stranger_Things_logo.png/320px-Stranger_Things_logo.png",
          "width": 320,
          "height": 176
        },
        "normalizedtitle": "Stranger Things (TV series)",
        "description": "American science fiction web series created by the Duffer Brothers"
      },
      {
        "views": 129385,
        "rank": 17,
        "title": "GSAT-7",
        "pageid": 40398208,
        "normalizedtitle": "GSAT-7"
      },
      {
        "views": 127744,
        "rank": 18,
        "title": "Narcos",
        "pageid": 44819477,
        "normalizedtitle": "Narcos",
        "description": "American crime drama television series"
      },
      {
        "views": 127603,
        "rank": 19,
        "fromencoded": false,
        "title": "Toyota_Mirai",
        "pageid": 43156488,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/b/ba/Mirai_trimmed.jpg/320px-Mirai_trimmed.jpg",
          "width": 320,
          "height": 186
        },
        "normalizedtitle": "Toyota Mirai",
        "description": "a hydrogen fuel cell vehicle"
      },
      {
        "views": 122797,
        "rank": 21,
        "fromencoded": false,
        "title": "Mother_Teresa",
        "pageid": 347105,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/7/77/MotherTeresa_094.jpg/308px-MotherTeresa_094.jpg",
          "width": 308,
          "height": 320
        },
        "normalizedtitle": "Mother Teresa",
        "description": "Roman Catholic saint"
      },
      {
        "views": 112065,
        "rank": 22,
        "fromencoded": false,
        "title": "Deaths_in_2016",
        "pageid": 48857868,
        "normalizedtitle": "Deaths in 2016",
        "description": "Wikimedia list article"
      },
      {
        "views": 104223,
        "rank": 24,
        "fromencoded": false,
        "title": "Sebastián_Marroquín",
        "pageid": 41427809,
        "normalizedtitle": "Sebastián Marroquín",
        "description": "Colombian architect, author, and the son of Colombian drug lord Pablo Escobar"
      },
      {
        "views": 93995,
        "rank": 25,
        "fromencoded": false,
        "title": "Murder_of_JonBenét_Ramsey",
        "pageid": 168926,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/0/05/JonBen%C3%A9t_Ramsey_grave.jpg/240px-JonBen%C3%A9t_Ramsey_grave.jpg",
          "width": 240,
          "height": 320
        },
        "normalizedtitle": "Murder of JonBenét Ramsey",
        "description": "Murdered beauty pageant contestant"
      },
      {
        "views": 92160,
        "rank": 26,
        "fromencoded": false,
        "title": "Cali_Cartel",
        "pageid": 342363,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/7/75/Carteldecaliposter.png/199px-Carteldecaliposter.png",
          "width": 199,
          "height": 320
        },
        "normalizedtitle": "Cali Cartel",
        "description": "disbanded drug cartel which was based in southern Colombia"
      },
      {
        "views": 90796,
        "rank": 27,
        "fromencoded": false,
        "title": "Hugh_O'Brian",
        "pageid": 1558601,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/0/01/Hugh_O%27Brian_1964.JPG/234px-Hugh_O%27Brian_1964.JPG",
          "width": 234,
          "height": 320
        },
        "normalizedtitle": "Hugh O'Brian",
        "description": "American actor and United States Marine"
      },
      {
        "views": 87628,
        "rank": 28,
        "fromencoded": false,
        "title": "Wolfgang_Amadeus_Mozart",
        "pageid": 33163,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/4/47/Croce-Mozart-Detail.jpg/247px-Croce-Mozart-Detail.jpg",
          "width": 247,
          "height": 320
        },
        "normalizedtitle": "Wolfgang Amadeus Mozart",
        "description": "European composer"
      },
      {
        "views": 86949,
        "rank": 29,
        "fromencoded": false,
        "title": "1940_Brocklesby_mid-air_collision",
        "pageid": 31078356,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/b/b5/Two_Avro_Ansons_%28L9162_and_N4876%29_%22piggyback%22_in_a_paddock_near_Brocklesby_1.jpg/320px-Two_Avro_Ansons_%28L9162_and_N4876%29_%22piggyback%22_in_a_paddock_near_Brocklesby_1.jpg",
          "width": 320,
          "height": 247
        },
        "normalizedtitle": "1940 Brocklesby mid-air collision"
      },
      {
        "views": 86930,
        "rank": 30,
        "fromencoded": false,
        "title": "History_of_measurement",
        "pageid": 2752651,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/4/4e/Coud%C3%A9e-turin_detail.jpg/320px-Coud%C3%A9e-turin_detail.jpg",
          "width": 320,
          "height": 196
        },
        "normalizedtitle": "History of measurement",
        "description": "aspect of history"
      },
      {
        "views": 86676,
        "rank": 31,
        "fromencoded": false,
        "title": "Chad_Kelly",
        "pageid": 47810304,
        "normalizedtitle": "Chad Kelly"
      },
      {
        "views": 85641,
        "rank": 32,
        "fromencoded": false,
        "title": "Freddie_Mercury",
        "pageid": 42068,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/e/ef/Freddie_Mercury_performing_in_New_Haven%2C_CT%2C_November_1977.jpg/215px-Freddie_Mercury_performing_in_New_Haven%2C_CT%2C_November_1977.jpg",
          "width": 215,
          "height": 320
        },
        "normalizedtitle": "Freddie Mercury",
        "description": "British musician, singer and songwriter"
      },
      {
        "views": 80614,
        "rank": 33,
        "fromencoded": false,
        "title": "Killing_of_Harambe",
        "pageid": 6975043,
        "normalizedtitle": "Killing of Harambe",
        "description": "2016 zoo incident"
      },
      {
        "views": 80030,
        "rank": 34,
        "fromencoded": false,
        "title": "Lesbian_rule",
        "pageid": 34664524,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/5/54/Krzywik.jpg",
          "width": 311,
          "height": 237
        },
        "normalizedtitle": "Lesbian rule"
      },
      {
        "views": 76369,
        "rank": 35,
        "fromencoded": false,
        "title": "Steve_Irwin",
        "pageid": 6873934,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/2/2e/Steve_Irwin.jpg/320px-Steve_Irwin.jpg",
          "width": 320,
          "height": 273
        },
        "normalizedtitle": "Steve Irwin",
        "description": "Australian environmentalist and television personality"
      },
      {
        "views": 75370,
        "rank": 36,
        "fromencoded": false,
        "title": "Rodrigo_Duterte",
        "pageid": 7407293,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/8/8f/Rodrigo_Duterte_June_2016.jpg/242px-Rodrigo_Duterte_June_2016.jpg",
          "width": 242,
          "height": 320
        },
        "normalizedtitle": "Rodrigo Duterte",
        "description": "Filipino politician and the 167th President of the Philippines"
      },
      {
        "views": 75268,
        "rank": 37,
        "fromencoded": false,
        "title": "Donald_Trump",
        "pageid": 4848272,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/d/d2/Donald_Trump_August_19%2C_2015_%28cropped%29.jpg/235px-Donald_Trump_August_19%2C_2015_%28cropped%29.jpg",
          "width": 235,
          "height": 320
        },
        "normalizedtitle": "Donald Trump",
        "description": "American business magnate, television personality, author and politician"
      },
      {
        "views": 74782,
        "rank": 38,
        "fromencoded": false,
        "title": "People_v._Turner",
        "pageid": 50722402,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/9/98/Seal_of_Santa_Clara_County%2C_California.svg/320px-Seal_of_Santa_Clara_County%2C_California.svg.png",
          "width": 320,
          "height": 320
        },
        "normalizedtitle": "People v. Turner",
        "description": "a criminal case in which Brock Allen Turner was convicted of three counts of felony sexual assault"
      },
      {
        "views": 71126,
        "rank": 40,
        "fromencoded": false,
        "title": "Uniform_resource_locator",
        "pageid": 47817151,
        "normalizedtitle": "Uniform resource locator"
      },
      {
        "views": 71105,
        "rank": 41,
        "title": "Earth",
        "pageid": 9228,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/9/97/The_Earth_seen_from_Apollo_17.jpg/320px-The_Earth_seen_from_Apollo_17.jpg",
          "width": 320,
          "height": 320
        },
        "normalizedtitle": "Earth",
        "description": "third planet closest to the Sun in the Solar System"
      },
      {
        "views": 68636,
        "rank": 42,
        "title": "Node.js",
        "pageid": 26415635,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/d/d9/Node.js_logo.svg/320px-Node.js_logo.svg.png",
          "width": 320,
          "height": 196
        },
        "normalizedtitle": "Node.js",
        "description": "Server-side JavaScript framework"
      },
      {
        "views": 68465,
        "rank": 43,
        "fromencoded": false,
        "title": "Labor_Day",
        "pageid": 19156272,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/2/25/First_United_States_Labor_Day_Parade%2C_September_5%2C_1882_in_New_York_City.jpg/320px-First_United_States_Labor_Day_Parade%2C_September_5%2C_1882_in_New_York_City.jpg",
          "width": 320,
          "height": 208
        },
        "normalizedtitle": "Labor Day",
        "description": "public holiday in the United States"
      },
      {
        "views": 67920,
        "rank": 44,
        "fromencoded": false,
        "title": "Isabelle_Dinoire",
        "pageid": 19760103,
        "normalizedtitle": "Isabelle Dinoire",
        "description": "partial face transplant recipient"
      },
      {
        "views": 66398,
        "rank": 45,
        "fromencoded": false,
        "title": "Burning_Man",
        "pageid": 203785,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/f/f5/Burning-Man.svg/207px-Burning-Man.svg.png",
          "width": 207,
          "height": 320
        },
        "normalizedtitle": "Burning Man",
        "description": "annual experimental festival based in Nevada, United States"
      },
      {
        "views": 64022,
        "rank": 46,
        "fromencoded": false,
        "title": "Don't_Breathe_(2016_film)",
        "pageid": 48347765,
        "normalizedtitle": "Don't Breathe (2016 film)",
        "description": "2016 American horror film directed by Fede Alvarez"
      },
      {
        "views": 63835,
        "rank": 47,
        "title": "Anahí",
        "pageid": 2577485,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/8/8e/Anah%C3%AD.jpg/240px-Anah%C3%AD.jpg",
          "width": 240,
          "height": 320
        },
        "normalizedtitle": "Anahí",
        "description": "Mexican singer-songwriter and actress"
      },
      {
        "views": 62961,
        "rank": 48,
        "fromencoded": false,
        "title": "Suicide_Squad_(film)",
        "pageid": 43884887,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/2/2b/Suicide_Squad_by_Gage_Skidmore.jpg/320px-Suicide_Squad_by_Gage_Skidmore.jpg",
          "width": 320,
          "height": 213
        },
        "normalizedtitle": "Suicide Squad (film)",
        "description": "2016 American superhero film"
      },
      {
        "views": 62106,
        "rank": 49,
        "fromencoded": false,
        "title": "Jewel_(singer)",
        "pageid": 159727,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/5/5f/Jewel_2009.jpg/224px-Jewel_2009.jpg",
          "width": 224,
          "height": 320
        },
        "normalizedtitle": "Jewel (singer)",
        "description": "American singer-songwriter, guitarist, producer, actress, and poet"
      },
      {
        "views": 61118,
        "rank": 50,
        "fromencoded": false,
        "title": "Moon_Lovers:_Scarlet_Heart_Ryeo",
        "pageid": 49022481,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/8/80/%22Moon_Lovers_-_Scarlet_Heart_Ryeo%22_press_conference%2C_24_August_2016_07.jpg/229px-%22Moon_Lovers_-_Scarlet_Heart_Ryeo%22_press_conference%2C_24_August_2016_07.jpg",
          "width": 229,
          "height": 320
        },
        "normalizedtitle": "Moon Lovers: Scarlet Heart Ryeo",
        "description": "South Korean TV series"
      },
      {
        "views": 60816,
        "rank": 51,
        "fromencoded": false,
        "title": "Pete_Davidson",
        "pageid": 43836011,
        "normalizedtitle": "Pete Davidson",
        "description": "American stand-up comedian"
      },
      {
        "views": 59854,
        "rank": 52,
        "fromencoded": false,
        "title": "Keith_Vaz",
        "pageid": 354040,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/2/23/Keith_Vaz%2C_September_2008.jpg/320px-Keith_Vaz%2C_September_2008.jpg",
          "width": 320,
          "height": 292
        },
        "normalizedtitle": "Keith Vaz",
        "description": "British Labour Party politician"
      },
      {
        "views": 58745,
        "rank": 53,
        "title": "G20",
        "pageid": 2206608,
        "thumbnail": {
          "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/e/e7/G20.svg/320px-G20.svg.png",
          "width": 320,
          "height": 164
        },
        "normalizedtitle": "G20",
        "description": "group of finance ministers and central bank governors"
      }
    ]
  },
  "random": {
    "items": [
      {
        "title": "Giovanni_Animuccia"
      }
    ]
  },
  "image": {
    "title": "File:Macrolepiota procera 2013 G1.jpg",
    "thumbnail": {
      "source": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Macrolepiota_procera_2013_G1.jpg/640px-Macrolepiota_procera_2013_G1.jpg",
      "width": 640,
      "height": 866
    },
    "image": {
      "source": "https://upload.wikimedia.org/wikipedia/commons/6/6a/Macrolepiota_procera_2013_G1.jpg",
      "width": 3400,
      "height": 4600
    },
    "description": {
      "text": "<a href=\"https://en.wikipedia.org/wiki/Macrolepiota_procera\" class=\"extiw\" title=\"en:Macrolepiota procera\">Parasol mushroom</a>, <a href=\"//commons.wikimedia.org/wiki/Macrolepiota_procera\" title=\"Macrolepiota procera\">Macrolepiota procera</a>, Ukraine.",
      "lang": "en"
    }
  },
  "news": [
    {
      "links": [
        {
          "title": "International_Union_for_Conservation_of_Nature",
          "pageid": 101884,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/f/fa/IUCN_logo.svg/1024px-IUCN_logo.svg.png",
            "width": 1024,
            "height": 976
          },
          "normalizedtitle": "International Union for Conservation of Nature",
          "fromencoded": false,
          "description": "international organisation"
        },
        {
          "title": "Giant_panda",
          "pageid": 12713,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/0/0f/Grosser_Panda.JPG/1024px-Grosser_Panda.JPG",
            "width": 1024,
            "height": 683
          },
          "normalizedtitle": "Giant panda",
          "fromencoded": false,
          "description": "species of bear"
        },
        {
          "title": "Vulnerable_species",
          "pageid": 25986983,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/5/5b/Bufo_periglenes2.jpg/1024px-Bufo_periglenes2.jpg",
            "width": 1024,
            "height": 683
          },
          "normalizedtitle": "Vulnerable species",
          "fromencoded": false,
          "description": "IUCN conservation category"
        },
        {
          "title": "Eastern_gorilla",
          "pageid": 4794515,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/3/37/Gorillas_in_Uganda-1%2C_by_Fiver_L%C3%B6cker.jpg/828px-Gorillas_in_Uganda-1%2C_by_Fiver_L%C3%B6cker.jpg",
            "width": 828,
            "height": 1024
          },
          "normalizedtitle": "Eastern gorilla",
          "fromencoded": false,
          "description": "species of mammal"
        },
        {
          "title": "Critically_endangered",
          "pageid": 7451605,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/5/5b/Bufo_periglenes2.jpg/1024px-Bufo_periglenes2.jpg",
            "width": 1024,
            "height": 683
          },
          "normalizedtitle": "Critically endangered",
          "fromencoded": false,
          "description": "IUCN conservation category"
        }
      ],
      "story": "<!--Sep 4--> The <a rel=\"mw:WikiLink\" href=\"./International_Union_for_Conservation_of_Nature\" title=\"International Union for Conservation of Nature\" id=\"mwBA\">IUCN</a> reclassifies the <b id=\"mwBQ\"><a rel=\"mw:WikiLink\" href=\"./Giant_panda\" title=\"Giant panda\" id=\"mwBg\">giant panda</a></b> as a <a rel=\"mw:WikiLink\" href=\"./Vulnerable_species\" title=\"Vulnerable species\" id=\"mwBw\">vulnerable species</a>, and the <b id=\"mwCA\"><a rel=\"mw:WikiLink\" href=\"./Eastern_gorilla\" title=\"Eastern gorilla\" id=\"mwCQ\">eastern gorilla</a></b> <i id=\"mwCg\">(example pictured)</i> as <a rel=\"mw:WikiLink\" href=\"./Critically_endangered\" title=\"Critically endangered\" id=\"mwCw\">critically endangered</a>."
    },
    {
      "links": [
        {
          "title": "Mother_Teresa",
          "pageid": 347105,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/7/77/MotherTeresa_094.jpg",
            "width": 729,
            "height": 758
          },
          "normalizedtitle": "Mother Teresa",
          "fromencoded": false,
          "description": "Roman Catholic saint"
        },
        {
          "title": "Pope_Francis",
          "pageid": 1687680,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/4/4d/Franciscus_in_2015.jpg/774px-Franciscus_in_2015.jpg",
            "width": 774,
            "height": 1024
          },
          "normalizedtitle": "Pope Francis",
          "fromencoded": false,
          "description": "266th Pope of the Catholic Church"
        },
        {
          "title": "Catholic_Church",
          "pageid": 606848,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/1/15/Petersdom_von_Engelsburg_gesehen.jpg/1024px-Petersdom_von_Engelsburg_gesehen.jpg",
            "width": 1024,
            "height": 768
          },
          "normalizedtitle": "Catholic Church",
          "fromencoded": false,
          "description": "Christian community led by the Pope and consisting of a Latin Church and 22 Eastern Catholic Churches"
        }
      ],
      "story": "<!--Sep 4--> <b id=\"mwDQ\"><a rel=\"mw:WikiLink\" href=\"./Mother_Teresa\" title=\"Mother Teresa\" id=\"mwDg\">Mother Teresa</a></b> is officially declared a saint by <a rel=\"mw:WikiLink\" href=\"./Pope_Francis\" title=\"Pope Francis\" id=\"mwDw\">Pope Francis</a> of the <a rel=\"mw:WikiLink\" href=\"./Catholic_Church\" title=\"Catholic Church\" id=\"mwEA\">Roman Catholic Church</a>."
    },
    {
      "links": [
        {
          "title": "2016_Davao_City_bombing",
          "pageid": 51495723,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/a/ad/Philippines_location_map_%28square%29.svg/1024px-Philippines_location_map_%28square%29.svg.png",
            "width": 1024,
            "height": 1024
          },
          "normalizedtitle": "2016 Davao City bombing",
          "fromencoded": false
        },
        {
          "title": "Davao_City",
          "pageid": 489401,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/2/24/Ph_locator_davao_del_sur_davao.png",
            "width": 300,
            "height": 225
          },
          "normalizedtitle": "Davao City",
          "fromencoded": false,
          "description": "city in the Philippines"
        }
      ],
      "story": "<!--Sep 2--> <b id=\"mwEg\"><a rel=\"mw:WikiLink\" href=\"./2016_Davao_City_bombing\" title=\"2016 Davao City bombing\" id=\"mwEw\">A bombing</a></b> at a market in <a rel=\"mw:WikiLink\" href=\"./Davao_City\" title=\"Davao City\" id=\"mwFA\">Davao City</a>, Southern Philippines, kills 14 people and injures 70 others."
    },
    {
      "links": [
        {
          "title": "Islam_Karimov",
          "pageid": 335230,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/2/29/Karimov_Ufa.jpg",
            "width": 384,
            "height": 480
          },
          "normalizedtitle": "Islam Karimov",
          "fromencoded": false,
          "description": "President of Uzbekistan"
        },
        {
          "title": "President_of_Uzbekistan",
          "pageid": 5016620,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/8/8d/Coat_of_arms_of_Uzbekistan.svg/1009px-Coat_of_arms_of_Uzbekistan.svg.png",
            "width": 1009,
            "height": 1024
          },
          "normalizedtitle": "President of Uzbekistan",
          "fromencoded": false
        }
      ],
      "story": "<!--Sep 2--> <b id=\"mwFg\"><a rel=\"mw:WikiLink\" href=\"./Islam_Karimov\" title=\"Islam Karimov\" id=\"mwFw\">Islam Karimov</a></b>, the <a rel=\"mw:WikiLink\" href=\"./President_of_Uzbekistan\" title=\"President of Uzbekistan\" id=\"mwGA\">President of Uzbekistan</a> since 1991, dies in office at the <span class=\"nowrap\" about=\"#mwt2\" typeof=\"mw:Transclusion\" data-mw=\"{&quot;parts&quot;:[{&quot;template&quot;:{&quot;target&quot;:{&quot;wt&quot;:&quot;nowrap&quot;,&quot;href&quot;:&quot;./Template:Nowrap&quot;},&quot;params&quot;:{&quot;1&quot;:{&quot;wt&quot;:&quot;age of 78&quot;}},&quot;i&quot;:0}}]}\" id=\"mwGQ\">age of 78</span>."
    },
    {
      "links": [
        {
          "title": "Wet_dress_rehearsal",
          "pageid": 32328804,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/a/a3/COTS_2_Falcon_9_-_WDR.1.cropped.jpg/1024px-COTS_2_Falcon_9_-_WDR.1.cropped.jpg",
            "width": 1024,
            "height": 847
          },
          "normalizedtitle": "Wet dress rehearsal",
          "fromencoded": false
        },
        {
          "title": "Amos-6",
          "pageid": 36392436,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Amos-6-Ka-band-coverage.svg/776px-Amos-6-Ka-band-coverage.svg.png",
            "width": 776,
            "height": 1024
          },
          "normalizedtitle": "Amos-6",
          "description": "Israeli Earth communications satellite"
        },
        {
          "title": "Falcon_9_Full_Thrust",
          "pageid": 47870562,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/6/60/ORBCOMM-2_%2823802549782%29.jpg/682px-ORBCOMM-2_%2823802549782%29.jpg",
            "width": 682,
            "height": 1024
          },
          "normalizedtitle": "Falcon 9 Full Thrust",
          "fromencoded": false,
          "description": "third major version of the SpaceX Falcon 9 orbital launch vehicle"
        }
      ],
      "story": "<!--Sep 1--> An explosion during preparations for a <a rel=\"mw:WikiLink\" href=\"./Wet_dress_rehearsal\" title=\"Wet dress rehearsal\" id=\"mwGw\">static fire test</a> results in the loss of the <b id=\"mwHA\"><a rel=\"mw:WikiLink\" href=\"./Amos-6\" title=\"Amos-6\" id=\"mwHQ\">Amos-6</a></b> communications satellite and its launch vehicle, <a rel=\"mw:WikiLink\" href=\"./Falcon_9_Full_Thrust\" title=\"Falcon 9 Full Thrust\" id=\"mwHg\">Falcon 9 Full Thrust</a>."
    },
    {
      "links": [
        {
          "title": "Libreville",
          "pageid": 57028,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/8/83/Libreville.jpg",
            "width": 800,
            "height": 600
          },
          "normalizedtitle": "Libreville",
          "description": "capital of Gabon"
        },
        {
          "title": "2016_Gabonese_protests",
          "pageid": 51489902,
          "ns": 0,
          "normalizedtitle": "2016 Gabonese protests",
          "fromencoded": false,
          "description": "protest in Libreville, Gabon"
        },
        {
          "title": "Gabonese_presidential_election,_2016",
          "pageid": 48793876,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/7/77/Coat_of_arms_of_Gabon.svg/1024px-Coat_of_arms_of_Gabon.svg.png",
            "width": 1024,
            "height": 999
          },
          "normalizedtitle": "Gabonese presidential election, 2016",
          "fromencoded": false
        },
        {
          "title": "Ali_Bongo_Ondimba",
          "pageid": 3149816,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/thumb/7/71/Ali_Bongo_Ondimba%2C_President_of_Gabon_at_the_Climate_Security_Conference_in_London%2C_22_March_2012.jpg/1024px-Ali_Bongo_Ondimba%2C_President_of_Gabon_at_the_Climate_Security_Conference_in_London%2C_22_March_2012.jpg",
            "width": 1024,
            "height": 776
          },
          "normalizedtitle": "Ali Bongo Ondimba",
          "fromencoded": false,
          "description": "President of Gabon"
        }
      ],
      "story": "<!--Aug 31--> At least five people are killed in <a rel=\"mw:WikiLink\" href=\"./Libreville\" title=\"Libreville\" id=\"mwIA\">Libreville</a>, Gabon, <a rel=\"mw:WikiLink\" href=\"./2016_Gabonese_protests\" title=\"2016 Gabonese protests\" id=\"mwIQ\">during protests</a> following <b id=\"mwIg\"><a rel=\"mw:WikiLink\" href=\"./Gabonese_presidential_election,_2016\" title=\"Gabonese presidential election, 2016\" id=\"mwIw\">the re-election</a></b> of President <a rel=\"mw:WikiLink\" href=\"./Ali_Bongo_Ondimba\" title=\"Ali Bongo Ondimba\" id=\"mwJA\">Ali Bongo Ondimba</a>."
    },
    {
      "links": [
        {
          "title": "Isua_Greenstone_Belt",
          "pageid": 4254649,
          "ns": 0,
          "thumbnail": {
            "source": "http://upload.wikimedia.org/wikipedia/commons/9/99/Nuuk_Location.jpg",
            "width": 317,
            "height": 540
          },
          "normalizedtitle": "Isua Greenstone Belt",
          "fromencoded": false,
          "description": "Archean greenstone belt in southwestern Greenland"
        }
      ],
      "story": "<!--Aug 31--> Fossils from the <b id=\"mwJg\"><a rel=\"mw:WikiLink\" href=\"./Isua_Greenstone_Belt\" title=\"Isua Greenstone Belt\" id=\"mwJw\">Isua Greenstone Belt</a></b>, Greenland, are found to be the world's oldest, having formed about 3.7<span typeof=\"mw:Entity\" id=\"mwKA\">&nbsp;</span>billion years ago."
    }
  ]
}

Android crash log:

E  FATAL EXCEPTION: main
E  Process: org.wikipedia.dev, PID: 5264
E  java.lang.NullPointerException: Attempt to invoke virtual method 'int java.lang.String.hashCode()' on a null object reference
E      at org.wikipedia.feed.featured.FeaturedArticleCard.hashCode(FeaturedArticleCard.java:81)
E      at org.wikipedia.feed.model.Card.getHideKey(Card.java:27)
E      at org.wikipedia.feed.FeedCoordinatorBase.isCardHidden(FeedCoordinatorBase.java:151)
E      at org.wikipedia.feed.FeedCoordinatorBase.access$100(FeedCoordinatorBase.java:20)
E      at org.wikipedia.feed.FeedCoordinatorBase$ExhaustionClientCallback.success(FeedCoordinatorBase.java:121)
E      at org.wikipedia.feed.aggregated.AggregatedFeedContentClient$CallbackAdapter.onResponse(AggregatedFeedContentClient.java:105)
E      at retrofit2.ExecutorCallAdapterFactory$ExecutorCallbackCall$1$1.run(ExecutorCallAdapterFactory.java:68)
E      at android.os.Handler.handleCallback(Handler.java:751)
E      at android.os.Handler.dispatchMessage(Handler.java:95)
E      at android.os.Looper.loop(Looper.java:154)
E      at android.app.ActivityThread.main(ActivityThread.java:6077)
E      at java.lang.reflect.Method.invoke(Native Method)
E      at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:865)
E      at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:755)

Details

Related Gerrit Patches:
mediawiki/services/mobileapps : masterFeeds: Send null instead of an empty object

Event Timeline

Restricted Application added subscribers: revi, Aklapper. · View Herald TranscriptSep 7 2016, 6:48 PM
Niedzielski updated the task description. (Show Details)Sep 7 2016, 6:50 PM
Niedzielski updated the task description. (Show Details)Sep 7 2016, 6:55 PM
Mholloway raised the priority of this task from High to Unbreak Now!.Sep 7 2016, 6:56 PM
Restricted Application added subscribers: Jay8g, Luke081515, TerraCodes. · View Herald TranscriptSep 7 2016, 6:56 PM
Mholloway added subscribers: bearND, mobrovac.EditedSep 7 2016, 6:57 PM
Mholloway added a subscriber: Mholloway.

Seems related to recent changes to handling of empty fields in MCS (which I haven't been keeping close tabs on).

Edit: see T143912: Have RESTBase request individual chunks of the feed endpoint from MCS.

Ah, so this is a new issue ? Please update then the App as soon as possible, thanks.

bearND added a comment.Sep 7 2016, 7:05 PM

@mobrovac is going to fix it on the server side. The app should be patched, too, to be more resilient in cases like this.

mobrovac claimed this task.Sep 7 2016, 7:18 PM

Fixes for MCS and RB to unbreak it coming up now.

Change 309075 had a related patch set uploaded (by Mobrovac):
Feeds: Send null instead of an empty object

https://gerrit.wikimedia.org/r/309075

Change 309075 merged by Mobrovac:
Feeds: Send null instead of an empty object

https://gerrit.wikimedia.org/r/309075

Mentioned in SAL [2016-09-07T20:07:53Z] <mobrovac> restbase cassandra truncating local_group_wikipedia_T_feed_aggregated.data for T144990

mobrovac removed mobrovac as the assignee of this task.Sep 7 2016, 8:09 PM
mobrovac lowered the priority of this task from Unbreak Now! to High.

Both patches were deployed in prod and the relevant table serving as a cache has been truncated. Life should resume now, so lowering the priority. Please, do follow up with patches to the app to make it more resilient.

greg added a subscriber: greg.Sep 8 2016, 8:56 PM

Is this task now resolved? There are follow up tasks (as listed in the incident report).

mobrovac closed this task as Resolved.Sep 8 2016, 9:01 PM
mobrovac claimed this task.
mobrovac removed a project: Patch-For-Review.
mobrovac updated the task description. (Show Details)
mobrovac removed a subscriber: gerritbot.